org.eclipse.eef

## Interface EEFControlDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EEFButtonDescription, EEFCheckboxDescription, EEFContainerDescription, EEFCustomWidgetDescription, EEFDynamicMappingFor, EEFHyperlinkDescription, EEFLabelDescription, EEFListDescription, EEFRadioDescription, EEFSelectDescription, EEFTextDescription, EEFWidgetDescription

All Known Implementing Classes:
  EEFButtonDescriptionImpl, EEFCheckboxDescriptionImpl, EEFContainerDescriptionImpl, EEFControlDescriptionImpl, EEFCustomWidgetDescriptionImpl, EEFDynamicMappingForImpl, EEFHyperlinkDescriptionImpl, EEFLabelDescriptionImpl, EEFListDescriptionImpl, EEFRadioDescriptionImpl, EEFSelectDescriptionImpl, EEFTextDescriptionImpl, EEFWidgetDescriptionImpl

    public interface EEFControlDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Control Description'.

The following features are supported:

- `Identifier`

See Also:
  `EefPackage.getEEFControlDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIdentifier

    java.lang.String getIdentifier()

Returns the value of the 'Identifier' attribute. Used to identify a specific control.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  `setIdentifier(String)`, `EefPackage.getEEFControlDescription_Identifier()`

#### setIdentifier

    void setIdentifier(java.lang.String value)

Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  `getIdentifier()`